create table if not exists hnqzx.sys_user_sub
(
    id                int auto_increment comment '主键ID'
        primary key,
    user_id           int              not null comment '用户ID',
    dept_id           int              null comment '部门id',
    gig_type          int(2)           not null comment '零工平台类型（订单支付方式类型:0-人力家 1-税邦云 2-自由职家 3-易联数科）',
    gig_channel       int    default 0 null comment '渠道',
    callback_status   int(1) default 0 null comment '回调状态',
    cert_status       int    default 0 not null comment '认证状态',
    cert_remark       longtext         null comment '认证结果描述',
    user_type         varchar(2)       null comment '人员类型',
    bank_card_number  varchar(19)      null comment '银行卡号',
    bank_phone        varchar(11)      null comment '银行预留手机号',
    id_card_front_url varchar(255)     null comment '身份证照片-正面',
    id_card_back_url  varchar(255)     null comment '身份证照片-反面',
    cert_video1_url   varchar(255)     null comment '认证视频1',
    cert_video2_url   varchar(255)     null comment '认证视频1',
    agreement_url     varchar(255)     null comment '协议',
    request_id        varchar(255)     null comment '请求流水号',
    create_time       datetime         null comment '创建时间',
    create_user       int              null comment '创建人',
    update_time       datetime         null comment '更新时间',
    update_user       int              null comment '更新人'
)
    comment '用户签约认证主体信息表' charset = utf8mb4;


alter table sys_user
    add bank_phone varchar(11) null comment '银行预留手机号';

